%define module_version 0.005
%define module_name package-compute
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Hooks/Parser.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: stop hard-coding your package names
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/package-compute

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module allows you to compute package names on the fly at compile
time, rather than hard-coding them as barewords. It is the solution to
the problem (if indeed you consider it to be a problem at all) that you
cannot write this in Perl:

   package $blah;

This module uses the B::Hooks::Parser manpage to accomplish its evil goals.

Using this module at all is probably a very bad idea.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README COPYRIGHT examples
%perl_vendor_privlib/p*

%changelog
* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

